ncsa.hdf.object

## Interface Metadata

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  Attribute

    public interface Metadata
    extends java.io.Serializable

Metadata is a general interface for metadata attached to data objects. Metadata contains supporting information attacehd to a primary data or component. Particular implementations of Metadata often provide additional context-specific objects as well.

Version:
  1.1 9/4/2007
Author:
  Peter X. Cao

### Method Summary

Methods
`java.lang.Object` `getValue()` Returns the value of this Metadata.
`void` `setValue(java.lang.Object value)` Sets the value of this Metadata.

### Method Detail

#### getValue

    java.lang.Object getValue()

Returns the value of this Metadata.

#### setValue

    void setValue(java.lang.Object value)

Sets the value of this Metadata.